{
  "name": "dss-answers-ui-components",
  "version": "1.0.1",
  "type": "module",
  "author": "Hela Othmani, Chhavi Khandelwal",
  "description": "Shared Components library for answers webapps based on vue",
  "license": "MIT",
  "main": "dist/dss-answers-ui-components.es.js",
  "module": "dist/dss-answers-ui-components.es.js",
  "types": "dist/src/index.esm.d.ts",
  "style": "dist/index.css",
  "exports": {
    ".": {
      "import": "./dist/dss-answers-ui-components.es.js",
      "require": "./dist/dss-answers-ui-components.es.js"
    },
    "./index.css": "./dist/index.css"
  },
  "files": [
    "dist/*",
    "src/quasar-styles.scss"
  ],
  "scripts": {
    "test": "vue-cli-service test:unit",
    "dev": "cd dev && npm run dev && cd ..",
    "build": "cd build && sh build.sh && cd ..",
    "build-pack": "yarn version --patch --no-git-tag-version && yarn build && yarn pack",
    "lint": "eslint src/ --ext .vue,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore --config .eslintrc.cjs"
  },
  "devDependencies": {
    "@quasar/app-webpack": "^4.0.6",
    "@quasar/vite-plugin": "^1.4.1",
    "@rushstack/eslint-patch": "^1.2.0",
    "@types/blueimp-md5": "^2.18.2",
    "@types/lodash": "^4.14.201",
    "@types/node": "^22.8.4",
    "@types/prismjs": "^1.26.0",
    "@vitejs/plugin-vue": "^5.1.4",
    "@vue/compiler-sfc": "^3.5.12",
    "@vue/eslint-config-prettier": "^10.1.0",
    "@vue/eslint-config-typescript": "^14.2.0",
    "@vue/test-utils": "^2.0.0",
    "@vue/tsconfig": "^0.7.0",
    "@vueuse/core": "^12.4.0",
    "autoprefixer": "^10.0.2",
    "css-loader": "^7.1.2",
    "dotenv": "^16.0.3",
    "eslint": "^9.18.0",
    "eslint-plugin-vue": "^9.9.0",
    "glob": "^11.0.1",
    "npm-run-all": "^4.1.5",
    "postcss": "^8",
    "prettier": "^3.4.2",
    "rollup": "^3.0.0",
    "sass": "^1.83.0",
    "typescript": "~5.7.3",
    "vite": "^6.0.7",
    "vite-plugin-css-injected-by-js": "^3.5.2",
    "vite-plugin-dts": "^4.3.0",
    "vue-loader": "^17.4.2",
    "vue-router": "^4.1.6",
    "vue-style-loader": "^4.1.3",
    "vue-template-compiler": "^2.7.13",
    "vue-tsc": "^2.2.0",
    "webpack": "^5",
    "webpack-cli": "^5"
  },
  "browserslist": [
    "last 4 Chrome versions",
    "last 4 Firefox versions",
    "last 2 Edge versions",
    "last 4 Safari versions",
    "last 4 Android versions",
    "last 4 ChromeAndroid versions",
    "last 4 FirefoxAndroid versions",
    "last 4 iOS versions"
  ],
  "dependencies": {
    "@quasar/extras": "1.16.15",
    "@rollup/plugin-node-resolve": "^16.0.0",
    "axios": "1.4.0",
    "blueimp-md5": "^2.19.0",
    "dompurify": "^3.0.9",
    "eslint-import-resolver-typescript": "^3.6.3",
    "eslint-plugin-import": "^2.31.0",
    "lodash": "^4.17.21",
    "marked": "15.0.6",
    "nanoid": "^5.0.3",
    "prismjs": "^1.29.0",
    "quasar": "^2.12.0",
    "quasar-ui-bs@npm:@dataiku/quasar-ui-bs": "*",
    "rollup-plugin-typescript2": "^0.36.0",
    "socket.io-client": "^4.7.4",
    "vue": "3.2.47",
    "vue-i18n": "^11.0.1"
  },
  "peerDependencies": {
    "rollup": ">=1.26.3"
  }
}
